diff -Naur openssl-1.0.0q.orig/crypto/idea/ideatest.c openssl-1.0.0q/crypto/idea/ideatest.c
--- openssl-1.0.0q.orig/crypto/idea/ideatest.c	2015-01-15 15:43:49.000000000 +0100
+++ openssl-1.0.0q/crypto/idea/ideatest.c	2017-04-25 16:23:40.442619659 +0200
@@ -56,9 +56,11 @@
  * [including the GNU Public Licence.]
  */
 
+#ifndef OPERA_SMALL_VERSION
 #include <stdio.h>
 #include <string.h>
 #include <stdlib.h>
+#endif /* !OPERA_SMALL_VERSION */
 
 #include "../e_os.h"
 
@@ -115,7 +117,7 @@
 
 	idea_set_encrypt_key(k,&key);
 	idea_ecb_encrypt(in,out,&key);
-	if (memcmp(out,c,8) != 0)
+	if (op_memcmp(out,c,8) != 0)
 		{
 		printf("ecb idea error encrypting\n");
 		printf("got     :");
@@ -131,7 +133,7 @@
 
 	idea_set_decrypt_key(&key,&dkey);
 	idea_ecb_encrypt(c,out,&dkey);
-	if (memcmp(out,in,8) != 0)
+	if (op_memcmp(out,in,8) != 0)
 		{
 		printf("ecb idea error decrypting\n");
 		printf("got     :");
@@ -147,12 +149,12 @@
 
 	if (err == 0) printf("ecb idea ok\n");
 
-	memcpy(iv,k,8);
+	op_memcpy(iv,k,8);
 	idea_cbc_encrypt((unsigned char *)text,out,strlen(text)+1,&key,iv,1);
-	memcpy(iv,k,8);
+	op_memcpy(iv,k,8);
 	idea_cbc_encrypt(out,out,8,&dkey,iv,0);
 	idea_cbc_encrypt(&(out[8]),&(out[8]),strlen(text)+1-8,&dkey,iv,0);
-	if (memcmp(text,out,strlen(text)+1) != 0)
+	if (op_memcmp(text,out,strlen(text)+1) != 0)
 		{
 		printf("cbc idea bad\n");
 		err=4;
@@ -183,28 +185,28 @@
 
         idea_set_encrypt_key(cfb_key,&eks);
         idea_set_decrypt_key(&eks,&dks);
-        memcpy(cfb_tmp,cfb_iv,8);
+        op_memcpy(cfb_tmp,cfb_iv,8);
         n=0;
         idea_cfb64_encrypt(plain,cfb_buf1,(long)12,&eks,
                 cfb_tmp,&n,IDEA_ENCRYPT);
         idea_cfb64_encrypt(&(plain[12]),&(cfb_buf1[12]),
                 (long)CFB_TEST_SIZE-12,&eks,
                 cfb_tmp,&n,IDEA_ENCRYPT);
-        if (memcmp(cfb_cipher,cfb_buf1,CFB_TEST_SIZE) != 0)
+        if (op_memcmp(cfb_cipher,cfb_buf1,CFB_TEST_SIZE) != 0)
                 {
                 err=1;
                 printf("idea_cfb64_encrypt encrypt error\n");
                 for (i=0; i<CFB_TEST_SIZE; i+=8)
                         printf("%s\n",pt(&(cfb_buf1[i])));
                 }
-        memcpy(cfb_tmp,cfb_iv,8);
+        op_memcpy(cfb_tmp,cfb_iv,8);
         n=0;
         idea_cfb64_encrypt(cfb_buf1,cfb_buf2,(long)13,&eks,
                 cfb_tmp,&n,IDEA_DECRYPT);
         idea_cfb64_encrypt(&(cfb_buf1[13]),&(cfb_buf2[13]),
                 (long)CFB_TEST_SIZE-13,&eks,
                 cfb_tmp,&n,IDEA_DECRYPT);
-        if (memcmp(plain,cfb_buf2,CFB_TEST_SIZE) != 0)
+        if (op_memcmp(plain,cfb_buf2,CFB_TEST_SIZE) != 0)
                 {
                 err=1;
                 printf("idea_cfb_encrypt decrypt error\n");
diff -Naur openssl-1.0.0q.orig/crypto/jpake/.gitignore openssl-1.0.0q/crypto/jpake/.gitignore
--- openssl-1.0.0q.orig/crypto/jpake/.gitignore	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/crypto/jpake/.gitignore	2017-04-25 16:23:40.443620066 +0200
@@ -0,0 +1,2 @@
+/.depend
+/*.d
diff -Naur openssl-1.0.0q.orig/crypto/krb5/.gitignore openssl-1.0.0q/crypto/krb5/.gitignore
--- openssl-1.0.0q.orig/crypto/krb5/.gitignore	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/crypto/krb5/.gitignore	2017-04-25 16:23:40.443620066 +0200
@@ -0,0 +1,2 @@
+/.depend
+/*.d
diff -Naur openssl-1.0.0q.orig/crypto/krb5/krb5_asn.c openssl-1.0.0q/crypto/krb5/krb5_asn.c
--- openssl-1.0.0q.orig/crypto/krb5/krb5_asn.c	2015-01-15 15:43:14.000000000 +0100
+++ openssl-1.0.0q/crypto/krb5/krb5_asn.c	2017-04-25 16:23:40.443620066 +0200
@@ -60,35 +60,35 @@
 #include <openssl/krb5_asn.h>
 
 
-ASN1_SEQUENCE(KRB5_ENCDATA) = {
-	ASN1_EXP(KRB5_ENCDATA, etype,		ASN1_INTEGER,	  0),
-	ASN1_EXP_OPT(KRB5_ENCDATA, kvno,	ASN1_INTEGER,	  1),
+ASN1_SEQUENCE(KRB5_ENCDATA) 
+	ASN1_EXP(KRB5_ENCDATA, etype,		ASN1_INTEGER,	  0)
+	ASN1_EXP_OPT(KRB5_ENCDATA, kvno,	ASN1_INTEGER,	  1)
 	ASN1_EXP(KRB5_ENCDATA, cipher,		ASN1_OCTET_STRING,2)
-} ASN1_SEQUENCE_END(KRB5_ENCDATA)
+ASN1_SEQUENCE_END(KRB5_ENCDATA)
 
 IMPLEMENT_ASN1_FUNCTIONS(KRB5_ENCDATA)
 
 
-ASN1_SEQUENCE(KRB5_PRINCNAME) = {
-	ASN1_EXP(KRB5_PRINCNAME, nametype,	ASN1_INTEGER,	  0),
+ASN1_SEQUENCE(KRB5_PRINCNAME) 
+	ASN1_EXP(KRB5_PRINCNAME, nametype,	ASN1_INTEGER,	  0)
 	ASN1_EXP_SEQUENCE_OF(KRB5_PRINCNAME, namestring, ASN1_GENERALSTRING, 1)
-} ASN1_SEQUENCE_END(KRB5_PRINCNAME)
+ASN1_SEQUENCE_END(KRB5_PRINCNAME)
 
 IMPLEMENT_ASN1_FUNCTIONS(KRB5_PRINCNAME)
 
 
 /* [APPLICATION 1] = 0x61 */
-ASN1_SEQUENCE(KRB5_TKTBODY) = {
-	ASN1_EXP(KRB5_TKTBODY, tktvno,		ASN1_INTEGER,	  0),
-	ASN1_EXP(KRB5_TKTBODY, realm, 		ASN1_GENERALSTRING, 1),
-	ASN1_EXP(KRB5_TKTBODY, sname,		KRB5_PRINCNAME,	  2),
+ASN1_SEQUENCE(KRB5_TKTBODY) 
+	ASN1_EXP(KRB5_TKTBODY, tktvno,		ASN1_INTEGER,	  0)
+	ASN1_EXP(KRB5_TKTBODY, realm, 		ASN1_GENERALSTRING, 1)
+	ASN1_EXP(KRB5_TKTBODY, sname,		KRB5_PRINCNAME,	  2)
 	ASN1_EXP(KRB5_TKTBODY, encdata,		KRB5_ENCDATA,	  3)
-} ASN1_SEQUENCE_END(KRB5_TKTBODY)
+ASN1_SEQUENCE_END(KRB5_TKTBODY)
 
 IMPLEMENT_ASN1_FUNCTIONS(KRB5_TKTBODY)
 
 
-ASN1_ITEM_TEMPLATE(KRB5_TICKET) = 
+ASN1_ITEM_TEMPLATE(KRB5_TICKET)
 	ASN1_EX_TEMPLATE_TYPE(ASN1_TFLG_EXPTAG|ASN1_TFLG_APPLICATION, 1,
 			KRB5_TICKET, KRB5_TKTBODY)
 ASN1_ITEM_TEMPLATE_END(KRB5_TICKET)
@@ -97,17 +97,17 @@
 
 
 /* [APPLICATION 14] = 0x6e */
-ASN1_SEQUENCE(KRB5_APREQBODY) = {
-	ASN1_EXP(KRB5_APREQBODY, pvno,		ASN1_INTEGER,	  0),
-	ASN1_EXP(KRB5_APREQBODY, msgtype,	ASN1_INTEGER,	  1),
-	ASN1_EXP(KRB5_APREQBODY, apoptions,	ASN1_BIT_STRING,  2),
-	ASN1_EXP(KRB5_APREQBODY, ticket, 	KRB5_TICKET,	  3),
-	ASN1_EXP(KRB5_APREQBODY, authenticator,	KRB5_ENCDATA,	  4),
-} ASN1_SEQUENCE_END(KRB5_APREQBODY)
+ASN1_SEQUENCE(KRB5_APREQBODY) 
+	ASN1_EXP(KRB5_APREQBODY, pvno,		ASN1_INTEGER,	  0)
+	ASN1_EXP(KRB5_APREQBODY, msgtype,	ASN1_INTEGER,	  1)
+	ASN1_EXP(KRB5_APREQBODY, apoptions,	ASN1_BIT_STRING,  2)
+	ASN1_EXP(KRB5_APREQBODY, ticket, 	KRB5_TICKET,	  3)
+	ASN1_EXP(KRB5_APREQBODY, authenticator,	KRB5_ENCDATA,	  4)
+ASN1_SEQUENCE_END(KRB5_APREQBODY)
 
 IMPLEMENT_ASN1_FUNCTIONS(KRB5_APREQBODY)
 
-ASN1_ITEM_TEMPLATE(KRB5_APREQ) = 
+ASN1_ITEM_TEMPLATE(KRB5_APREQ)
 	ASN1_EX_TEMPLATE_TYPE(ASN1_TFLG_EXPTAG|ASN1_TFLG_APPLICATION, 14,
 			KRB5_APREQ, KRB5_APREQBODY)
 ASN1_ITEM_TEMPLATE_END(KRB5_APREQ)
@@ -117,48 +117,48 @@
 
 /*  Authenticator stuff 	*/
 
-ASN1_SEQUENCE(KRB5_CHECKSUM) = {
-	ASN1_EXP(KRB5_CHECKSUM, ctype,		ASN1_INTEGER,	  0),
+ASN1_SEQUENCE(KRB5_CHECKSUM) 
+	ASN1_EXP(KRB5_CHECKSUM, ctype,		ASN1_INTEGER,	  0)
 	ASN1_EXP(KRB5_CHECKSUM, checksum,	ASN1_OCTET_STRING,1)
-} ASN1_SEQUENCE_END(KRB5_CHECKSUM)
+ASN1_SEQUENCE_END(KRB5_CHECKSUM)
 
 IMPLEMENT_ASN1_FUNCTIONS(KRB5_CHECKSUM)
 
 
-ASN1_SEQUENCE(KRB5_ENCKEY) = {
-	ASN1_EXP(KRB5_ENCKEY,	ktype,		ASN1_INTEGER,	  0),
+ASN1_SEQUENCE(KRB5_ENCKEY) 
+	ASN1_EXP(KRB5_ENCKEY,	ktype,		ASN1_INTEGER,	  0)
 	ASN1_EXP(KRB5_ENCKEY,	keyvalue,	ASN1_OCTET_STRING,1)
-} ASN1_SEQUENCE_END(KRB5_ENCKEY)
+ASN1_SEQUENCE_END(KRB5_ENCKEY)
 
 IMPLEMENT_ASN1_FUNCTIONS(KRB5_ENCKEY)
 
 
 /* SEQ OF SEQ; see ASN1_EXP_SEQUENCE_OF_OPT() below */
-ASN1_SEQUENCE(KRB5_AUTHDATA) = {
-	ASN1_EXP(KRB5_AUTHDATA,	adtype,		ASN1_INTEGER,	  0),
+ASN1_SEQUENCE(KRB5_AUTHDATA) 
+	ASN1_EXP(KRB5_AUTHDATA,	adtype,		ASN1_INTEGER,	  0)
 	ASN1_EXP(KRB5_AUTHDATA,	addata, 	ASN1_OCTET_STRING,1)
-} ASN1_SEQUENCE_END(KRB5_AUTHDATA)
+ASN1_SEQUENCE_END(KRB5_AUTHDATA)
 
 IMPLEMENT_ASN1_FUNCTIONS(KRB5_AUTHDATA)
 
 
 /* [APPLICATION 2] = 0x62 */
-ASN1_SEQUENCE(KRB5_AUTHENTBODY) = {
-	ASN1_EXP(KRB5_AUTHENTBODY,	avno,	ASN1_INTEGER,	  0),
-	ASN1_EXP(KRB5_AUTHENTBODY,	crealm,	ASN1_GENERALSTRING, 1),
-	ASN1_EXP(KRB5_AUTHENTBODY,	cname,	KRB5_PRINCNAME,	  2),
-	ASN1_EXP_OPT(KRB5_AUTHENTBODY,	cksum,	KRB5_CHECKSUM,	  3),
-	ASN1_EXP(KRB5_AUTHENTBODY,	cusec,	ASN1_INTEGER,	  4),
-	ASN1_EXP(KRB5_AUTHENTBODY,	ctime,	ASN1_GENERALIZEDTIME, 5),
-	ASN1_EXP_OPT(KRB5_AUTHENTBODY,	subkey,	KRB5_ENCKEY,	  6),
-	ASN1_EXP_OPT(KRB5_AUTHENTBODY,	seqnum,	ASN1_INTEGER,	  7),
+ASN1_SEQUENCE(KRB5_AUTHENTBODY) 
+	ASN1_EXP(KRB5_AUTHENTBODY,	avno,	ASN1_INTEGER,	  0)
+	ASN1_EXP(KRB5_AUTHENTBODY,	crealm,	ASN1_GENERALSTRING, 1)
+	ASN1_EXP(KRB5_AUTHENTBODY,	cname,	KRB5_PRINCNAME,	  2)
+	ASN1_EXP_OPT(KRB5_AUTHENTBODY,	cksum,	KRB5_CHECKSUM,	  3)
+	ASN1_EXP(KRB5_AUTHENTBODY,	cusec,	ASN1_INTEGER,	  4)
+	ASN1_EXP(KRB5_AUTHENTBODY,	ctime,	ASN1_GENERALIZEDTIME, 5)
+	ASN1_EXP_OPT(KRB5_AUTHENTBODY,	subkey,	KRB5_ENCKEY,	  6)
+	ASN1_EXP_OPT(KRB5_AUTHENTBODY,	seqnum,	ASN1_INTEGER,	  7)
 	ASN1_EXP_SEQUENCE_OF_OPT
-		    (KRB5_AUTHENTBODY,	authorization,	KRB5_AUTHDATA, 8),
-} ASN1_SEQUENCE_END(KRB5_AUTHENTBODY)
+		    (KRB5_AUTHENTBODY,	authorization,	KRB5_AUTHDATA, 8)
+ASN1_SEQUENCE_END(KRB5_AUTHENTBODY)
 
 IMPLEMENT_ASN1_FUNCTIONS(KRB5_AUTHENTBODY)
 
-ASN1_ITEM_TEMPLATE(KRB5_AUTHENT) = 
+ASN1_ITEM_TEMPLATE(KRB5_AUTHENT)
 	ASN1_EX_TEMPLATE_TYPE(ASN1_TFLG_EXPTAG|ASN1_TFLG_APPLICATION, 2,
 			KRB5_AUTHENT, KRB5_AUTHENTBODY)
 ASN1_ITEM_TEMPLATE_END(KRB5_AUTHENT)
diff -Naur openssl-1.0.0q.orig/crypto/lhash/.gitignore openssl-1.0.0q/crypto/lhash/.gitignore
--- openssl-1.0.0q.orig/crypto/lhash/.gitignore	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/crypto/lhash/.gitignore	2017-04-25 16:23:40.444620193 +0200
@@ -0,0 +1,2 @@
+/.depend
+/*.d
diff -Naur openssl-1.0.0q.orig/crypto/lhash/lh_stats.c openssl-1.0.0q/crypto/lhash/lh_stats.c
--- openssl-1.0.0q.orig/crypto/lhash/lh_stats.c	2015-01-15 15:43:49.000000000 +0100
+++ openssl-1.0.0q/crypto/lhash/lh_stats.c	2017-04-25 16:23:40.445620041 +0200
@@ -56,9 +56,11 @@
  * [including the GNU Public Licence.]
  */
 
+#ifndef OPERA_SMALL_VERSION
 #include <stdio.h>
 #include <string.h>
 #include <stdlib.h>
+#endif /* !OPERA_SMALL_VERSION */
 /* If you wish to build this outside of SSLeay, remove the following lines
  * and things should work as expected */
 #include "cryptlib.h"
diff -Naur openssl-1.0.0q.orig/crypto/lhash/lh_test.c openssl-1.0.0q/crypto/lhash/lh_test.c
--- openssl-1.0.0q.orig/crypto/lhash/lh_test.c	2015-01-15 15:43:14.000000000 +0100
+++ openssl-1.0.0q/crypto/lhash/lh_test.c	2017-04-25 16:23:40.446620447 +0200
@@ -56,9 +56,14 @@
  * [including the GNU Public Licence.]
  */
 
+
+#error("/* ARRAY FILE UNUSED. CHECK ARRAYS BEFORE USING */")
+
+#ifndef OPERA_SMALL_VERSION
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#endif /* !OPERA_SMALL_VERSION */
 #include <openssl/lhash.h>
 
 main()
@@ -75,9 +80,9 @@
 		buf[0]='\0';
 		fgets(buf,256,stdin);
 		if (buf[0] == '\0') break;
-		i=strlen(buf);
+		i=op_strlen(buf);
 		p=OPENSSL_malloc(i+1);
-		memcpy(p,buf,i+1);
+		op_memcpy(p,buf,i+1);
 		lh_insert(conf,p);
 		}
 
diff -Naur openssl-1.0.0q.orig/crypto/lhash/lhash.c openssl-1.0.0q/crypto/lhash/lhash.c
--- openssl-1.0.0q.orig/crypto/lhash/lhash.c	2015-01-15 15:43:49.000000000 +0100
+++ openssl-1.0.0q/crypto/lhash/lhash.c	2017-04-25 16:23:40.447620295 +0200
@@ -71,7 +71,7 @@
  *	     skipping the lh_doall() processing. eay - 4/12/95
  *
  * 1.9 eay - Fixed a memory leak in lh_free, the LHASH_NODEs
- *	     were not being free()ed. 21/11/95
+ *	     were not being op_free()ed. 21/11/95
  *
  * 1.8 eay - Put the stats routines into a separate file, lh_stats.c
  *	     19/09/95
@@ -94,13 +94,17 @@
  *
  * 1.0 eay - First version
  */
+#ifndef OPERA_SMALL_VERSION
 #include <stdio.h>
 #include <string.h>
 #include <stdlib.h>
-#include <openssl/crypto.h>
+#endif /* !OPERA_SMALL_VERSION */
+#include <openssl/cryptlib.h>
 #include <openssl/lhash.h>
 
-const char lh_version[]="lhash" OPENSSL_VERSION_PTEXT;
+#ifndef OPERA_SMALL_VERSION
+const char lh_version[]="lhash" OPENSSL_VERSION_PTEXT; /* ARRAY OK 2008-02-26 haavardm */
+#endif
 
 #undef MIN_NODES 
 #define MIN_NODES	16
@@ -116,13 +120,13 @@
 	_LHASH *ret;
 	int i;
 
-	if ((ret=OPENSSL_malloc(sizeof(_LHASH))) == NULL)
+	if ((ret=(_LHASH *)OPENSSL_malloc(sizeof(_LHASH))) == NULL)
 		goto err0;
-	if ((ret->b=OPENSSL_malloc(sizeof(LHASH_NODE *)*MIN_NODES)) == NULL)
+	if ((ret->b=(LHASH_NODE **)OPENSSL_malloc(sizeof(LHASH_NODE *)*MIN_NODES)) == NULL)
 		goto err1;
 	for (i=0; i<MIN_NODES; i++)
 		ret->b[i]=NULL;
-	ret->comp=((c == NULL)?(LHASH_COMP_FN_TYPE)strcmp:c);
+	ret->comp=((c == NULL)?(LHASH_COMP_FN_TYPE)op_strcmp:c);
 	ret->hash=((h == NULL)?(LHASH_HASH_FN_TYPE)lh_strhash:h);
 	ret->num_nodes=MIN_NODES/2;
 	ret->num_alloc_nodes=MIN_NODES;
@@ -450,7 +454,7 @@
 	if ((c == NULL) || (*c == '\0'))
 		return(ret);
 /*
-	unsigned char b[16];
+	unsigned char b[16];  // ARRAY OK 2007-11-07 yngve UNUSED
 	MD5(c,strlen(c),b);
 	return(b[0]|(b[1]<<8)|(b[2]<<16)|(b[3]<<24)); 
 */
diff -Naur openssl-1.0.0q.orig/crypto/lhash/lhash.h openssl-1.0.0q/crypto/lhash/lhash.h
--- openssl-1.0.0q.orig/crypto/lhash/lhash.h	2015-01-15 15:43:49.000000000 +0100
+++ openssl-1.0.0q/crypto/lhash/lhash.h	2017-04-25 16:23:40.447620295 +0200
@@ -65,7 +65,9 @@
 
 #include <openssl/e_os2.h>
 #ifndef OPENSSL_NO_FP_API
+#ifndef OPERA_SMALL_VERSION
 #include <stdio.h>
+#endif /* !OPERA_SMALL_VERSION */
 #endif
 
 #ifndef OPENSSL_NO_BIO
@@ -102,7 +104,7 @@
 	unsigned long name##_LHASH_HASH(const void *);
 #define IMPLEMENT_LHASH_HASH_FN(name, o_type) \
 	unsigned long name##_LHASH_HASH(const void *arg) { \
-		const o_type *a = arg; \
+		const o_type *a = (const o_type *) arg; \
 		return name##_hash(a); }
 #define LHASH_HASH_FN(name) name##_LHASH_HASH
 
@@ -111,8 +113,8 @@
 	int name##_LHASH_COMP(const void *, const void *);
 #define IMPLEMENT_LHASH_COMP_FN(name, o_type) \
 	int name##_LHASH_COMP(const void *arg1, const void *arg2) { \
-		const o_type *a = arg1;		    \
-		const o_type *b = arg2; \
+		const o_type *a = (const o_type *) arg1;		    \
+		const o_type *b = (const o_type *) arg2; \
 		return name##_cmp(a,b); }
 #define LHASH_COMP_FN(name) name##_LHASH_COMP
 
@@ -121,7 +123,7 @@
 	void name##_LHASH_DOALL(void *);
 #define IMPLEMENT_LHASH_DOALL_FN(name, o_type) \
 	void name##_LHASH_DOALL(void *arg) { \
-		o_type *a = arg; \
+		o_type *a = (o_type *) arg; \
 		name##_doall(a); }
 #define LHASH_DOALL_FN(name) name##_LHASH_DOALL
 
@@ -130,8 +132,8 @@
 	void name##_LHASH_DOALL_ARG(void *, void *);
 #define IMPLEMENT_LHASH_DOALL_ARG_FN(name, o_type, a_type) \
 	void name##_LHASH_DOALL_ARG(void *arg1, void *arg2) { \
-		o_type *a = arg1; \
-		a_type *b = arg2; \
+		o_type *a = (o_type *) arg1; \
+		a_type *b = (a_type *) arg2; \
 		name##_doall_arg(a, b); }
 #define LHASH_DOALL_ARG_FN(name) name##_LHASH_DOALL_ARG
 
@@ -168,7 +170,7 @@
 
 #define LH_LOAD_MULT	256
 
-/* Indicates a malloc() error in the last call, this is only bad
+/* Indicates a op_malloc() error in the last call, this is only bad
  * in lh_insert(). */
 #define lh_error(lh)	((lh)->error)
 
diff -Naur openssl-1.0.0q.orig/crypto/md2/.gitignore openssl-1.0.0q/crypto/md2/.gitignore
--- openssl-1.0.0q.orig/crypto/md2/.gitignore	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/crypto/md2/.gitignore	2017-04-25 16:23:40.448620701 +0200
@@ -0,0 +1,2 @@
+/.depend
+/*.d
diff -Naur openssl-1.0.0q.orig/crypto/md2/md2.c openssl-1.0.0q/crypto/md2/md2.c
--- openssl-1.0.0q.orig/crypto/md2/md2.c	2015-01-15 15:43:49.000000000 +0100
+++ openssl-1.0.0q/crypto/md2/md2.c	2017-04-25 16:23:40.449619990 +0200
@@ -56,8 +56,10 @@
  * [including the GNU Public Licence.]
  */
 
+#ifndef OPERA_SMALL_VERSION
 #include <stdio.h>
 #include <stdlib.h>
+#endif /* !OPERA_SMALL_VERSION */
 #include <openssl/md2.h>
 
 #define BUFSIZE	1024*16
diff -Naur openssl-1.0.0q.orig/crypto/md2/md2.h openssl-1.0.0q/crypto/md2/md2.h
--- openssl-1.0.0q.orig/crypto/md2/md2.h	2015-01-15 15:54:59.000000000 +0100
+++ openssl-1.0.0q/crypto/md2/md2.h	2017-04-25 16:23:40.450620676 +0200
@@ -75,9 +75,9 @@
 typedef struct MD2state_st
 	{
 	unsigned int num;
-	unsigned char data[MD2_BLOCK];
-	MD2_INT cksm[MD2_BLOCK];
-	MD2_INT state[MD2_BLOCK];
+	unsigned char data[MD2_BLOCK]; /* ARRAY OK 2004-02-18 yngve */
+	MD2_INT cksm[MD2_BLOCK]; /* ARRAY OK 2004-02-18 yngve */
+	MD2_INT state[MD2_BLOCK]; /* ARRAY OK 2004-02-18 yngve */
 	} MD2_CTX;
 
 const char *MD2_options(void);
diff -Naur openssl-1.0.0q.orig/crypto/md2/md2_dgst.c openssl-1.0.0q/crypto/md2/md2_dgst.c
--- openssl-1.0.0q.orig/crypto/md2/md2_dgst.c	2015-01-15 15:54:59.000000000 +0100
+++ openssl-1.0.0q/crypto/md2/md2_dgst.c	2017-04-25 16:23:40.451620245 +0200
@@ -56,14 +56,20 @@
  * [including the GNU Public Licence.]
  */
 
+#ifndef OPENSSL_NO_MD2
+
+#ifndef OPERA_SMALL_VERSION
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#endif /* !OPERA_SMALL_VERSION */
 #include <openssl/md2.h>
 #include <openssl/opensslv.h>
 #include <openssl/crypto.h>
 
-const char MD2_version[]="MD2" OPENSSL_VERSION_PTEXT;
+#ifndef OPERA_SMALL_VERSION
+const char MD2_version[]="MD2" OPENSSL_VERSION_PTEXT; /* ARRAY OK 2008-02-26 haavardm */
+#endif
 
 /* Implemented from RFC1319 The MD2 Message-Digest Algorithm
  */
@@ -108,6 +114,7 @@
 	0xDB, 0x99, 0x8D, 0x33, 0x9F, 0x11, 0x83, 0x14,
 	};
 
+#ifndef OPERA_SMALL_VERSION
 const char *MD2_options(void)
 	{
 	if (sizeof(MD2_INT) == 1)
@@ -115,13 +122,14 @@
 	else
 		return("md2(int)");
 	}
+#endif
 
 int MD2_Init(MD2_CTX *c)
 	{
 	c->num=0;
-	memset(c->state,0,sizeof c->state);
-	memset(c->cksm,0,sizeof c->cksm);
-	memset(c->data,0,sizeof c->data);
+	op_memset(c->state,0,sizeof c->state);
+	op_memset(c->cksm,0,sizeof c->cksm);
+	op_memset(c->data,0,sizeof c->data);
 	return 1;
 	}
 
@@ -136,7 +144,7 @@
 		{
 		if ((c->num+len) >= MD2_BLOCK)
 			{
-			memcpy(&(p[c->num]),data,MD2_BLOCK-c->num);
+			op_memcpy(&(p[c->num]),data,MD2_BLOCK-c->num);
 			md2_block(c,c->data);
 			data+=(MD2_BLOCK - c->num);
 			len-=(MD2_BLOCK - c->num);
@@ -145,7 +153,7 @@
 			}
 		else
 			{
-			memcpy(&(p[c->num]),data,len);
+			op_memcpy(&(p[c->num]),data,len);
 			/* data+=len; */
 			c->num+=(int)len;
 			return 1;
@@ -159,7 +167,7 @@
 		data+=MD2_BLOCK;
 		len-=MD2_BLOCK;
 		}
-	memcpy(p,data,len);
+	op_memcpy(p,data,len);
 	c->num=(int)len;
 	return 1;
 	}
@@ -196,7 +204,7 @@
 			}
 		t=(t+i)&0xff;
 		}
-	memcpy(sp1,state,16*sizeof(MD2_INT));
+	op_memcpy(sp1,state,16*sizeof(MD2_INT));
 	OPENSSL_cleanse(state,48*sizeof(MD2_INT));
 	}
 
@@ -221,7 +229,8 @@
 
 	for (i=0; i<16; i++)
 		md[i]=(UCHAR)(p1[i]&0xff);
-	memset((char *)&c,0,sizeof(c));
+	op_memset((char *)&c,0,sizeof(c));
 	return 1;
 	}
 
+#endif
diff -Naur openssl-1.0.0q.orig/crypto/md2/md2_one.c openssl-1.0.0q/crypto/md2/md2_one.c
--- openssl-1.0.0q.orig/crypto/md2/md2_one.c	2015-01-15 15:43:14.000000000 +0100
+++ openssl-1.0.0q/crypto/md2/md2_one.c	2017-04-25 16:23:40.452619813 +0200
@@ -56,7 +56,12 @@
  * [including the GNU Public Licence.]
  */
 
+
+#error("/* ARRAY FILE UNUSED. CHECK ARRAYS BEFORE USING */")
+
+#ifndef OPERA_SMALL_VERSION
 #include <stdio.h>
+#endif /* !OPERA_SMALL_VERSION */
 #include "cryptlib.h"
 #include <openssl/md2.h>
 
diff -Naur openssl-1.0.0q.orig/crypto/md2/md2test.c openssl-1.0.0q/crypto/md2/md2test.c
--- openssl-1.0.0q.orig/crypto/md2/md2test.c	2015-01-15 15:43:14.000000000 +0100
+++ openssl-1.0.0q/crypto/md2/md2test.c	2017-04-25 16:23:40.453619940 +0200
@@ -56,9 +56,11 @@
  * [including the GNU Public Licence.]
  */
 
+#ifndef OPERA_SMALL_VERSION
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#endif /* !OPERA_SMALL_VERSION */
 
 #include "../e_os.h"
 
@@ -112,7 +114,7 @@
 		{
 		EVP_Digest((unsigned char *)*P,strlen(*P),md,NULL,EVP_md2(), NULL);
 		p=pt(md);
-		if (strcmp(p,*R) != 0)
+		if (op_strcmp(p,*R) != 0)
 			{
 			printf("error calculating MD2 on '%s'\n",*P);
 			printf("got %s instead of %s\n",p,*R);
@@ -137,7 +139,7 @@
 	static char buf[80];
 
 	for (i=0; i<MD2_DIGEST_LENGTH; i++)
-		sprintf(&(buf[i*2]),"%02x",md[i]);
+		op_sprintf(&(buf[i*2]),"%02x",md[i]);
 	return(buf);
 	}
 #endif
diff -Naur openssl-1.0.0q.orig/crypto/md32_common.h openssl-1.0.0q/crypto/md32_common.h
--- openssl-1.0.0q.orig/crypto/md32_common.h	2015-01-15 15:54:59.000000000 +0100
+++ openssl-1.0.0q/crypto/md32_common.h	2017-04-25 16:23:40.454620067 +0200
@@ -142,7 +142,7 @@
  */
 #undef ROTATE
 #ifndef PEDANTIC
-# if defined(_MSC_VER) || defined(__ICC)
+# if 0 /* defined(_MSC_VER) || defined(__ICC) */
 #  define ROTATE(a,n)	_lrotl(a,n)
 # elif defined(__MWERKS__)
 #  if defined(__POWERPC__)
@@ -153,7 +153,7 @@
 #  else
 #   define ROTATE(a,n)	__rol(a,n)
 #  endif
-# elif defined(__GNUC__) && __GNUC__>=2 && !defined(OPENSSL_NO_ASM) && !defined(OPENSSL_NO_INLINE_ASM)
+# elif defined(__GNUC__) && __GNUC__>=2 && !defined(OPENSSL_NO_ASM) && !defined(OPENSSL_NO_INLINE_ASM) && !defined(__llvm__)
   /*
    * Some GNU C inline assembler templates. Note that these are
    * rotates by *constant* number of bits! But that's exactly
@@ -281,7 +281,7 @@
 
 int HASH_UPDATE (HASH_CTX *c, const void *data_, size_t len)
 	{
-	const unsigned char *data=data_;
+	const unsigned char *data=(const unsigned char *)data_;
 	unsigned char *p;
 	HASH_LONG l;
 	size_t n;
@@ -303,17 +303,17 @@
 
 		if (len >= HASH_CBLOCK || len+n >= HASH_CBLOCK)
 			{
-			memcpy (p+n,data,HASH_CBLOCK-n);
+			op_memcpy (p+n,data,HASH_CBLOCK-n);
 			HASH_BLOCK_DATA_ORDER (c,p,1);
 			n      = HASH_CBLOCK-n;
 			data  += n;
 			len   -= n;
 			c->num = 0;
-			memset (p,0,HASH_CBLOCK);	/* keep it zeroed */
+			op_memset (p,0,HASH_CBLOCK);	/* keep it zeroed */
 			}
 		else
 			{
-			memcpy (p+n,data,len);
+			op_memcpy (p+n,data,len);
 			c->num += (unsigned int)len;
 			return 1;
 			}
@@ -332,16 +332,18 @@
 		{
 		p = (unsigned char *)c->data;
 		c->num = (unsigned int)len;
-		memcpy (p,data,len);
+		op_memcpy (p,data,len);
 		}
 	return 1;
 	}
 
 
+#ifndef OPERA_SMALL_VERSION
 void HASH_TRANSFORM (HASH_CTX *c, const unsigned char *data)
 	{
 	HASH_BLOCK_DATA_ORDER (c,data,1);
 	}
+#endif
 
 
 int HASH_FINAL (unsigned char *md, HASH_CTX *c)
@@ -354,11 +356,11 @@
 
 	if (n > (HASH_CBLOCK-8))
 		{
-		memset (p+n,0,HASH_CBLOCK-n);
+		op_memset (p+n,0,HASH_CBLOCK-n);
 		n=0;
 		HASH_BLOCK_DATA_ORDER (c,p,1);
 		}
-	memset (p+n,0,HASH_CBLOCK-8-n);
+	op_memset (p+n,0,HASH_CBLOCK-8-n);
 
 	p += HASH_CBLOCK-8;
 #if   defined(DATA_ORDER_IS_BIG_ENDIAN)
@@ -371,7 +373,7 @@
 	p -= HASH_CBLOCK;
 	HASH_BLOCK_DATA_ORDER (c,p,1);
 	c->num=0;
-	memset (p,0,HASH_CBLOCK);
+	op_memset (p,0,HASH_CBLOCK);
 
 #ifndef HASH_MAKE_STRING
 #error "HASH_MAKE_STRING must be defined!"
diff -Naur openssl-1.0.0q.orig/crypto/md4/.gitignore openssl-1.0.0q/crypto/md4/.gitignore
--- openssl-1.0.0q.orig/crypto/md4/.gitignore	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/crypto/md4/.gitignore	2017-04-25 16:23:40.454620067 +0200
@@ -0,0 +1,2 @@
+/.depend
+/*.d
diff -Naur openssl-1.0.0q.orig/crypto/md4/md4.c openssl-1.0.0q/crypto/md4/md4.c
--- openssl-1.0.0q.orig/crypto/md4/md4.c	2015-01-15 15:43:49.000000000 +0100
+++ openssl-1.0.0q/crypto/md4/md4.c	2017-04-25 16:23:40.455619915 +0200
@@ -56,8 +56,10 @@
  * [including the GNU Public Licence.]
  */
 
+#ifndef OPERA_SMALL_VERSION
 #include <stdio.h>
 #include <stdlib.h>
+#endif /* !OPERA_SMALL_VERSION */
 #include <openssl/md4.h>
 
 #define BUFSIZE	1024*16
diff -Naur openssl-1.0.0q.orig/crypto/md4/md4_dgst.c openssl-1.0.0q/crypto/md4/md4_dgst.c
--- openssl-1.0.0q.orig/crypto/md4/md4_dgst.c	2015-01-15 15:54:59.000000000 +0100
+++ openssl-1.0.0q/crypto/md4/md4_dgst.c	2017-04-25 16:23:40.456619763 +0200
@@ -56,7 +56,9 @@
  * [including the GNU Public Licence.]
  */
 
+#ifndef OPERA_SMALL_VERSION
 #include <stdio.h>
+#endif /* !OPERA_SMALL_VERSION */
 #include "md4_locl.h"
 #include <openssl/opensslv.h>
 
diff -Naur openssl-1.0.0q.orig/crypto/md4/md4_locl.h openssl-1.0.0q/crypto/md4/md4_locl.h
--- openssl-1.0.0q.orig/crypto/md4/md4_locl.h	2015-01-15 15:54:59.000000000 +0100
+++ openssl-1.0.0q/crypto/md4/md4_locl.h	2017-04-25 16:23:40.456619763 +0200
@@ -56,8 +56,10 @@
  * [including the GNU Public Licence.]
  */
 
+#ifndef OPERA_SMALL_VERSION
 #include <stdlib.h>
 #include <string.h>
+#endif /* !OPERA_SMALL_VERSION */
 #include <openssl/opensslconf.h>
 #include <openssl/md4.h>
 
diff -Naur openssl-1.0.0q.orig/crypto/md4/md4_one.c openssl-1.0.0q/crypto/md4/md4_one.c
--- openssl-1.0.0q.orig/crypto/md4/md4_one.c	2015-01-15 15:43:14.000000000 +0100
+++ openssl-1.0.0q/crypto/md4/md4_one.c	2017-04-25 16:23:40.457619890 +0200
@@ -56,8 +56,13 @@
  * [including the GNU Public Licence.]
  */
 
+
+#error("/* ARRAY FILE UNUSED. CHECK ARRAYS BEFORE USING */")
+
+#ifndef OPERA_SMALL_VERSION
 #include <stdio.h>
 #include <string.h>
+#endif /* !OPERA_SMALL_VERSION */
 #include <openssl/md4.h>
 #include <openssl/crypto.h>
 
diff -Naur openssl-1.0.0q.orig/crypto/md4/md4s.cpp openssl-1.0.0q/crypto/md4/md4s.cpp
--- openssl-1.0.0q.orig/crypto/md4/md4s.cpp	2015-01-15 15:43:14.000000000 +0100
+++ openssl-1.0.0q/crypto/md4/md4s.cpp	2017-04-25 16:23:40.458620017 +0200
@@ -30,8 +30,10 @@
 }
 #endif      
 
+#ifndef OPERA_SMALL_VERSION
 #include <stdio.h>
 #include <stdlib.h>
+#endif // !OPERA_SMALL_VERSION
 #include <openssl/md4.h>
 
 extern "C" {
@@ -50,7 +52,7 @@
 	int j=0;
 
 	if (argc >= 2)
-		num=atoi(argv[1]);
+		num=op_atoi(argv[1]);
 
 	if (num == 0) num=16;
 	if (num > 250) num=16;
diff -Naur openssl-1.0.0q.orig/crypto/md4/md4test.c openssl-1.0.0q/crypto/md4/md4test.c
--- openssl-1.0.0q.orig/crypto/md4/md4test.c	2015-01-15 15:43:14.000000000 +0100
+++ openssl-1.0.0q/crypto/md4/md4test.c	2017-04-25 16:23:40.458620017 +0200
@@ -56,9 +56,11 @@
  * [including the GNU Public Licence.]
  */
 
+#ifndef OPERA_SMALL_VERSION
 #include <stdio.h>
 #include <string.h>
 #include <stdlib.h>
+#endif /* !OPERA_SMALL_VERSION */
 
 #include "../e_os.h"
 
@@ -108,7 +110,7 @@
 		{
 		EVP_Digest(&(P[0][0]),strlen((char *)*P),md,NULL,EVP_md4(), NULL);
 		p=pt(md);
-		if (strcmp(p,(char *)*R) != 0)
+		if (op_strcmp(p,(char *)*R) != 0)
 			{
 			printf("error calculating MD4 on '%s'\n",*P);
 			printf("got %s instead of %s\n",p,*R);
@@ -130,7 +132,7 @@
 	static char buf[80];
 
 	for (i=0; i<MD4_DIGEST_LENGTH; i++)
-		sprintf(&(buf[i*2]),"%02x",md[i]);
+		op_sprintf(&(buf[i*2]),"%02x",md[i]);
 	return(buf);
 	}
 #endif
diff -Naur openssl-1.0.0q.orig/crypto/md5/.gitignore openssl-1.0.0q/crypto/md5/.gitignore
--- openssl-1.0.0q.orig/crypto/md5/.gitignore	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/crypto/md5/.gitignore	2017-04-25 16:23:40.459619865 +0200
@@ -0,0 +1,2 @@
+/.depend
+/*.d
diff -Naur openssl-1.0.0q.orig/crypto/md5/md5.c openssl-1.0.0q/crypto/md5/md5.c
--- openssl-1.0.0q.orig/crypto/md5/md5.c	2015-01-15 15:43:49.000000000 +0100
+++ openssl-1.0.0q/crypto/md5/md5.c	2017-04-25 16:23:40.460619712 +0200
@@ -56,8 +56,10 @@
  * [including the GNU Public Licence.]
  */
 
+#ifndef OPERA_SMALL_VERSION
 #include <stdio.h>
 #include <stdlib.h>
+#endif /* !OPERA_SMALL_VERSION */
 #include <openssl/md5.h>
 
 #define BUFSIZE	1024*16
diff -Naur openssl-1.0.0q.orig/crypto/md5/md5_dgst.c openssl-1.0.0q/crypto/md5/md5_dgst.c
--- openssl-1.0.0q.orig/crypto/md5/md5_dgst.c	2015-01-15 15:54:59.000000000 +0100
+++ openssl-1.0.0q/crypto/md5/md5_dgst.c	2017-04-25 16:23:40.461620119 +0200
@@ -56,11 +56,15 @@
  * [including the GNU Public Licence.]
  */
 
+#ifndef OPERA_SMALL_VERSION
 #include <stdio.h>
+#endif /* !OPERA_SMALL_VERSION */
 #include "md5_locl.h"
 #include <openssl/opensslv.h>
 
-const char MD5_version[]="MD5" OPENSSL_VERSION_PTEXT;
+#ifndef OPERA_SMALL_VERSION
+const char MD5_version[]="MD5" OPENSSL_VERSION_PTEXT; /* ARRAY OK 2008-02-26 haavardm */
+#endif
 
 /* Implemented from RFC1321 The MD5 Message-Digest Algorithm
  */
@@ -72,7 +76,7 @@
 
 int MD5_Init(MD5_CTX *c)
 	{
-	memset (c,0,sizeof(*c));
+	op_memset (c,0,sizeof(*c));
 	c->A=INIT_DATA_A;
 	c->B=INIT_DATA_B;
 	c->C=INIT_DATA_C;
@@ -86,7 +90,7 @@
 #endif
 void md5_block_data_order (MD5_CTX *c, const void *data_, size_t num)
 	{
-	const unsigned char *data=data_;
+	const unsigned char *data=(const unsigned char *)data_;
 	register unsigned MD32_REG_T A,B,C,D,l;
 #ifndef MD32_XARRAY
 	/* See comment in crypto/sha/sha_locl.h for details. */
diff -Naur openssl-1.0.0q.orig/crypto/md5/md5_locl.h openssl-1.0.0q/crypto/md5/md5_locl.h
--- openssl-1.0.0q.orig/crypto/md5/md5_locl.h	2015-01-15 15:54:59.000000000 +0100
+++ openssl-1.0.0q/crypto/md5/md5_locl.h	2017-04-25 16:23:40.461620119 +0200
@@ -56,8 +56,10 @@
  * [including the GNU Public Licence.]
  */
 
+#ifndef OPERA_SMALL_VERSION
 #include <stdlib.h>
 #include <string.h>
+#endif /* !OPERA_SMALL_VERSION */
 #include <openssl/e_os2.h>
 #include <openssl/md5.h>
 
@@ -93,7 +95,7 @@
 	} while (0)
 #define	HASH_BLOCK_DATA_ORDER	md5_block_data_order
 
-#include "md32_common.h"
+#include <openssl/md32_common.h>
 
 /*
 #define	F(x,y,z)	(((x) & (y))  |  ((~(x)) & (z)))
diff -Naur openssl-1.0.0q.orig/crypto/md5/md5_one.c openssl-1.0.0q/crypto/md5/md5_one.c
--- openssl-1.0.0q.orig/crypto/md5/md5_one.c	2015-01-15 15:43:14.000000000 +0100
+++ openssl-1.0.0q/crypto/md5/md5_one.c	2017-04-25 16:23:40.462619687 +0200
@@ -56,8 +56,13 @@
  * [including the GNU Public Licence.]
  */
 
+
+#error("/* ARRAY FILE UNUSED. CHECK ARRAYS BEFORE USING */")
+
+#ifndef OPERA_SMALL_VERSION
 #include <stdio.h>
 #include <string.h>
+#endif /* !OPERA_SMALL_VERSION */
 #include <openssl/md5.h>
 #include <openssl/crypto.h>
 
@@ -68,7 +73,12 @@
 unsigned char *MD5(const unsigned char *d, size_t n, unsigned char *md)
 	{
 	MD5_CTX c;
+#ifdef _NO_GLOBALS_
+extern unsigned char *g_md5_m_addr();
+#define m g_md5_m_addr()
+#else
 	static unsigned char m[MD5_DIGEST_LENGTH];
+#endif
 
 	if (md == NULL) md=m;
 	if (!MD5_Init(&c))
diff -Naur openssl-1.0.0q.orig/crypto/md5/md5s.cpp openssl-1.0.0q/crypto/md5/md5s.cpp
--- openssl-1.0.0q.orig/crypto/md5/md5s.cpp	2015-01-15 15:43:14.000000000 +0100
+++ openssl-1.0.0q/crypto/md5/md5s.cpp	2017-04-25 16:23:40.463620373 +0200
@@ -30,8 +30,10 @@
 }
 #endif      
 
+#ifndef OPERA_SMALL_VERSION
 #include <stdio.h>
 #include <stdlib.h>
+#endif // !OPERA_SMALL_VERSION
 #include <openssl/md5.h>
 
 extern "C" {
@@ -50,7 +52,7 @@
 	int j=0;
 
 	if (argc >= 2)
-		num=atoi(argv[1]);
+		num=op_atoi(argv[1]);
 
 	if (num == 0) num=16;
 	if (num > 250) num=16;
diff -Naur openssl-1.0.0q.orig/crypto/md5/md5test.c openssl-1.0.0q/crypto/md5/md5test.c
--- openssl-1.0.0q.orig/crypto/md5/md5test.c	2015-01-15 15:43:14.000000000 +0100
+++ openssl-1.0.0q/crypto/md5/md5test.c	2017-04-25 16:23:40.464619662 +0200
@@ -56,9 +56,11 @@
  * [including the GNU Public Licence.]
  */
 
+#ifndef OPERA_SMALL_VERSION
 #include <stdio.h>
 #include <string.h>
 #include <stdlib.h>
+#endif /* !OPERA_SMALL_VERSION */
 
 #include "../e_os.h"
 
@@ -108,7 +110,7 @@
 		{
 		EVP_Digest(&(P[0][0]),strlen((char *)*P),md,NULL,EVP_md5(), NULL);
 		p=pt(md);
-		if (strcmp(p,(char *)*R) != 0)
+		if (op_strcmp(p,(char *)*R) != 0)
 			{
 			printf("error calculating MD5 on '%s'\n",*P);
 			printf("got %s instead of %s\n",p,*R);
@@ -134,7 +136,7 @@
 	static char buf[80];
 
 	for (i=0; i<MD5_DIGEST_LENGTH; i++)
-		sprintf(&(buf[i*2]),"%02x",md[i]);
+		op_sprintf(&(buf[i*2]),"%02x",md[i]);
 	return(buf);
 	}
 #endif
diff -Naur openssl-1.0.0q.orig/crypto/mdc2/.gitignore openssl-1.0.0q/crypto/mdc2/.gitignore
--- openssl-1.0.0q.orig/crypto/mdc2/.gitignore	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/crypto/mdc2/.gitignore	2017-04-25 16:23:40.466619637 +0200
@@ -0,0 +1,2 @@
+/.depend
+/*.d
diff -Naur openssl-1.0.0q.orig/crypto/mdc2/mdc2.h openssl-1.0.0q/crypto/mdc2/mdc2.h
--- openssl-1.0.0q.orig/crypto/mdc2/mdc2.h	2015-01-15 15:54:59.000000000 +0100
+++ openssl-1.0.0q/crypto/mdc2/mdc2.h	2017-04-25 16:23:40.468619612 +0200
@@ -75,7 +75,7 @@
 typedef struct mdc2_ctx_st
 	{
 	unsigned int num;
-	unsigned char data[MDC2_BLOCK];
+	unsigned char data[MDC2_BLOCK]; /* ARRAY OK UNUSED OPERA 2004-02-18 yngve*/
 	DES_cblock h,hh;
 	int pad_type; /* either 1 or 2, default 1 */
 	} MDC2_CTX;
